/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   Contact.hpp                                        :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: adjoly <adjoly@student.42angouleme.fr>     +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2024/10/26 00:41:12 by adjoly            #+#    #+#             */
/*   Updated: 2024/10/31 13:26:17 by adjoly           ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#pragma once

#include <string>

class Contact {
	private:
		std::string	_name;
		std::string	_lastName;
		std::string	_nickname;
		std::string	_phoneNbr;
		std::string	_darkestSecret;
	public:
		// Getter
		std::string	getName();
		std::string	getLastName();
		std::string	getNickname();
		std::string	getPhoneNbr();
		std::string	getSecret();

		// Setter
		void		setName(std::string newName);
		void		setLastName(std::string newLastName);
		void		setNickname(std::string newNickName);
		void		setPhoneNbr(std::string newPhoneNbr);
		void		setSecret(std::string newSecret);
};
