/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   PhoneBook.hpp                                      :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: adjoly <adjoly@student.42angouleme.fr>     +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2024/10/26 00:41:10 by adjoly            #+#    #+#             */
/*   Updated: 2024/11/03 18:19:21 by adjoly           ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#pragma once

#include "Contact.hpp"

#define	uint8_t unsigned char

class PhoneBook {
	private:
		Contact	_contact[8];
		uint8_t	_index;

		void	_add(void);
		void	_search(void);

/*			Search internal function			*/
		void		__printContacts(void);
		std::string	__formatstr(std::string str);
		void		__printContact(uint8_t index);
	public:
		PhoneBook(void);
};
