/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   Contact.cpp                                        :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: adjoly <adjoly@student.42angouleme.fr>     +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2024/10/30 17:05:12 by adjoly            #+#    #+#             */
/*   Updated: 2024/11/03 16:52:59 by adjoly           ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "Contact.hpp"
#include <string>

std::string	Contact::getName() {
	return (Contact::_name);
}

std::string	Contact::getLastName() {
	return (Contact::_lastName);
}

std::string	Contact::getNickname() {
	return (Contact::_nickname);
}

std::string	Contact::getPhoneNbr() {
	return (Contact::_phoneNbr);
}

std::string	Contact::getSecret() {
	return (Contact::_darkestSecret);
}

void	Contact::setName(std::string newName) {
	_name = newName;
}

void	Contact::setLastName(std::string newLastName) {
	_lastName = newLastName;
}

void	Contact::setNickname(std::string newNickname) {
	_nickname = newNickname;
}

void	Contact::setPhoneNbr(std::string newPhoneNbr) {
	_phoneNbr = newPhoneNbr;
}

void	Contact::setSecret(std::string newSecret) {
	_darkestSecret = newSecret;
}
